/* =========== Google Fonts ============ */
@import url("https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;400;500;700&display=swap");

/* =============== Globals ============== */
* {
  font-family: "Ubuntu", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --blue: #fbfafe;
  --white: #fff;
  --gray: #f5f5f5;
  --black1: #222;
  --black2: #999;
  --grey: #808080;
  --lightpink: #71996f;
}

body {
  min-height: 100vh;
  overflow-x: hidden;
  margin: 10px;
  background-color: #eaedf5;
  margin-right: 5px;
}

span .logo img {
  margin: 10px;
}

.logo_name span {
  color: #1e0af3;
  font-size: 1.2rem;
  font-weight: bolder;
  font-family: Georgia, "Times New Roman", Times, serif;
}

.container {
  /* max-height: fit-content; */
  position: relative;
  width: 100%;
  margin-right: 2%;
}
/* =============== Navigation ================ */
.container .navigation img {
  height: 100px;
  width: 90px;
}
.navigation {
  /* margin-top: 8px; */
  position: fixed;
  width: 300px;
  height: 96%;
  background: #eff5f6;
  /* opacity: 60%; */
  /* background-color: calc(100%-80%); */
  border-color: #000;
  border: solid 2px #000;
  margin-left: 0px;
  /* border-left: 10px solid var(--blue); */
  /* border-right: 10px solid black; */
  transition: 0.5s;
  overflow: hidden;
}
.navigation.active {
  width: 0px;
  /* background-color: transparent; */
  /* overflow: hidden; */
  /* margin-right: -300px; */
  /* border: solid 2px #000; */
}

.navigation .nav {
  display: block;
  /* background-color: #71996F; */
  border-radius: 2%;
  border-color: #222;
  margin-left: 5%;
  margin-right: 7%;
  margin-top: 13%;
  margin-bottom: 13%;
  height: 50px;
  border-radius: 2%;
  border-style: solid;
  border-color: #222;
  background-color: rgb(76, 76, 241);
  align-items: center;
  text-decoration: none;
  padding-left: 11%;
  padding-bottom: -20;
  color: #fff;
  font-size: 18px;
}

.navigation .nav:nth-of-type(1) {
  margin-top: 90px;
}

.navigation a {
  color: #000;
}
/* .nav li .title{
  display: flex;
  padding-top: 10px;
  padding-left: 15px;
} */

.navigation .nav:hover {
  background-color: rgb(38, 38, 248);
  border: #fff;
  margin-left: -10px;
  margin-right: -6px;
}

.navigation .nav:active {
  background-color: rgb(183, 183, 224);
  border: #fff;
  margin-left: -10px;
  margin-right: -6px;
}

.nav-link.active {
  color: #fff;
}

.nav:hover {
  color: #fff;
}
.nav:hover {
  border: #fff;
}

.nav-link li {
  list-style: none;
}

.nav .icon ion-icon {
  text-align: center;
  padding-top: 10px;
  position: relative;
  display: flex;
  float: left;
  min-width: 25px;
  height: 25px;
  line-height: 55px;
  text-align: center;
}

.nav li .title {
  display: flex;
  padding-top: 10px;
  padding-left: 15px;
}

.navigation ul {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}

.navigation a ul li {
  position: relative;
  width: 100%;
  list-style: none;
  border-top-left-radius: 30px;
  border-bottom-left-radius: 30px;
}

.navigation ul li:nth-child(1) {
  margin-bottom: 40px;
  pointer-events: none;
}

.navigation ul li a {
  position: relative;
  display: block;
  width: 100%;
  display: flex;
  text-decoration: none;
  color: var(--black1);
}
/* .navigation ul li:hover a,
.navigation ul li.hovered a {
  color: var(--white);
} */

/* .navigation ul li a .icon {
  position: relative;
  display: block;
  min-width: 60px;
  height: 60px;
  line-height: 55px;
  text-align: center;
} */

.navigation ul li a .title {
  position: relative;
  display: block;
  padding: 0 10px;
  height: 60px;
  line-height: 40px;
  text-align: start;
  white-space: nowrap;
}

/* ===================== Main ===================== */
.main {
  min-height: 100vh;
  max-height: 100%;
  position: relative;
  width: calc(100% - 330px);
  left: 320px;
  /* max-height: 100%; */
  background-color: #fff;
  transition: 0.5s;
  margin-right: 0px;
  margin-left: 0px;
}

.main.active {
  width: 100%;
  left: 0px;
  right: 7px;
}

.topbar {
  /* margin-top: 25px; */
  width: calc(100% - 12px);
  /* right: 25px; */
  margin-left: 10px;
  margin-right: 50px;
  height: 60px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 10px;
  background-color: rgb(76, 76, 241);
  border: #000 2px solid;
  /* position: fixed; */
}
.topbar.active {
  width: calc(100% - 50px);
  right: 20px;
  margin-left: -50px;
}

.toggle {
  position: relative;
  width: 50px;
  height: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 2.5rem;
  cursor: pointer;
  color: #fff;
}

.search {
  position: left;
  width: 90%;
  margin: 0 10px;
}

.search.active {
  width: 1500px;
}

.search label {
  position: relative;
  width: 100%;
}

.search label input {
  width: 100%;
  height: 40px;
  border-radius: 40px;
  padding: 5px 20px;
  padding-left: 35px;
  font-size: 18px;
  outline: none;
  border: 1px solid var(--black2);
}

.search label ion-icon {
  position: absolute;
  top: 0;
  left: 10px;
  font-size: 1.2rem;
}

/* .admin-name {
  position: relative;
  width: 7%;
  display: flex;
  float: right;
  text-align: right;
} */
.user {
  position: relative;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  overflow: hidden;
  cursor: pointer;
  margin-right: 10px;
  /* display: flex;
  float: right; */
  /* border: 1px solid #050505; */
}

.user img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* ===========================Table==================== */

.table {
  /* width: 100%; */
  width: calc(100% - 40px);
  margin-left: 2%;
  margin-top: 2%;
}
table {
  width: 99%;
  text-align: center;
  /* margin-right: ; */

}

thead tr {
  height: 45px;
  align-items: center;
  justify-content: center;
  background-color: rgb(76, 76, 241);
  font-weight: 90;
  color: #f5f5f5;
}

table,
th,
td {
  border: 1px solid black;
  border-collapse: collapse;
}
tbody tr {
  background-color: #f6f4f4;
  height: 40px;
}

/* ======================= Review ====================== */

.review {
  height: auto;
  /* width: calc(100% - 200px); */
  margin-top: 50px;
  margin-left: 25px;
  margin-bottom: 20px;
  margin-right: 18px;
  background-color: rgb(250, 250, 253);
  /* border: solid 2px #000; */
  /* padding: 2%; */
  padding-bottom: 20px;
  border-radius: 25px;
}

.review.active {
  width: calc(100% - 20px);
  margin-left: 10px;
  margin-right: 10px;
}

.review h3 {
  margin-left: 50px;
  margin-bottom: 10px;
  text-transform: uppercase;
  font-family: Arial, Helvetica, sans-serif;
  letter-spacing: 3%;
  color: #808691;
}

.review-content {
  height: fit-content;
  width: calc(100% - 50px);
  background-color: rgb(231, 231, 245);
  align-items: center;
  justify-content: center;
  margin-left: 23px;
  padding: 3%;
  border-radius: 20px;
  margin-top: 2%;
}

/* ====================== Responsive Design ========================== */

@media (max-width: 1024px) {
  .topbar {
    width: 100%;
    /* margin-right: -10px; */
    margin-left: -1px;
  
  }
  .navigation.active {
    border: transparent;
  }
  .table {
    width: 90%;
    margin-left: 5%;
  }
  .search {
    margin-bottom: 3px;
  }
  .review {
    width: 93.5%;
  }
  .main{
    min-height: 200vh;
    /* max-height: 100%; */

  }
  .review-content {
    border-radius: 10px;
  }
  .delete{
    padding: 2px;
    width: 100px;
    font-size: 8px;
  }

}

@media (max-width: 991px) {
  .navigation {
    left: -320px;
  }
  .navigation.active {
    width: 300px;
    left: 0;
  }
  .main {
    min-height: 100vh;
    width: 100%;
    left: 0;
    max-height: 100%;
  }
  .main.active {
    left: 300px;
  }
  .topbar {
    width: 100%;
    margin-left: 0px;
    height: 60px;
    margin-top: 0px;
  }
  .topbar.active {
    width: calc(100% - 500px);
    /* margin-left: 28px; */
  }
  .search{
    height: 20px;
    margin-bottom: 18px;
  }

}

@media (max-width: 768px) {
  .details {
    grid-template-columns: 1fr;
  }
  .topbar {
    width: 100%;
    height: 50px;
  }
  .search {
    height: 20px;
  }
  .main.active {
    width: calc(100% - 300px);
  }
}

@media (max-width: 480px) {
  /* .user {
    min-width: 40px;
  } */
.user  {
  height: 30px;
  width: 30px;
}
.search-input {
/* display: none; */
  height: 2px;
  /* margin-bottom: 30px; */
}
.search-icon {
  color: #fff;
  font-weight:bolder;
  padding-top: 10px;
  margin-left: 10px;
}
.toggle {
  height: 20px;
  width: 30px;
}
  .navigation {
    background-color: #cecece;
    height: 100%;
    width: 100px;
    /* left: -150%; */
    /* z-index: 100; */
    overflow: hidden;
    margin-top: -10px;
    position: relative;
  }
  .navigation.active {
    width: 10px;
    /* margin-right: -150px; */
    left: 0;
  }
  .main {
    margin-top: 0;
  }



/* .logo_name span{
  font-size: large;
  color: #1e0af3;
} */


.logo-info a{
  margin-top: 2%;
  width: 50%;
  text-align: center;
  display: flex;
  /* background-color: aquamarine; */
  flex-direction: column;
  justify-content: center;
  justify-items: center;
  
}

  .toggle {
    z-index: 10001;
  }
  .toogle::after{
    color: #000;
}
    .main {
    width: 100%;

  }
  .main.active .toggle {
    color: #0f0f0f;
    position: fixed;
    right: 0;
    left: initial;
  }
  .review h3 {
    margin-left: 10px;
    padding-top: 5px;
    padding-left: -10px;
  }
  .review-content {
    width: 95%;
    border-radius: 5px;
    margin-left: 5px;
  }
}
